[RTL][Browser]The long LTR URL is truncated at wrong side at Add to home screen view.

VERIFIED FIXED in Firefox OS master

Status

Firefox OS
Gaia::Browser
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Sue, Assigned: daleharvey)

Tracking

unspecified
FxOS-S1 (26Jun)
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(blocking-b2g:2.5+, b2g-master verified)

Details

(Whiteboard: [3.0-nexus-5-l][systemsfe])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8606089 [details]
Add to home screen.png

[1.Description]:
[RTL][Flame v3.0][Nexus 5 3.0][Browser]The long LTR URL at Add to home screen view is truncated at left side. 
See attachment:Add to home screen.png

[2.Testing Steps]: 
1. Set system language as Arabic.
2. Launch Browser.
3. Tap search bar and input some LTR characters.
4. Tap search button and search the result.
5. Tap menu button.
6. Select "Add to home screen" and observe the pop up window.

[3.Expected Result]: 
6. The long LTR URL should be truncated at right side.

[4.Actual Result]: 
6. The long LTR URL is truncated at left side.

[5.Reproduction build]: 
Device: Flame 2.2 (unaffected)
Build ID               20150514002501
Gaia Revision          aac58a063e3e6acae6ba77fe4cec224fb69450bc
Gaia Date              2015-05-13 12:59:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/47f1ced9f1d6
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150514.040500
Firmware Date          Thu May 14 04:05:11 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150514131323
Gaia Revision          338f66e6a96491d2f5854b188c6b141ceb690d97
Gaia Date              2015-05-13 14:08:45
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/633684c4ebc4
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150514.165247
Firmware Date          Thu May 14 16:53:00 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus 5 2.2 (unaffected)
Build ID               20150514002501
Gaia Revision          aac58a063e3e6acae6ba77fe4cec224fb69450bc
Gaia Date              2015-05-13 12:59:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/47f1ced9f1d6
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150514.033743
Firmware Date          Thu May 14 03:37:59 EDT 2015
Bootloader             HHZ12f

Device: Nexus 5 3.0 (affected)
Build ID               20150514010203
Gaia Revision          338f66e6a96491d2f5854b188c6b141ceb690d97
Gaia Date              2015-05-13 14:08:45
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1fab94ad196c
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150514.044222
Firmware Date          Thu May 14 04:42:38 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test

[8.Note]:
There is no URL link at Add to home screen view on Flame 2.2 and Nexus 5 2.2
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-master: --- → affected
blocking-b2g: --- → 3.0+
Whiteboard: [3.0-nexus-5-l] → [3.0-nexus-5-l][systemsfe]
Keywords: regressionwindow-wanted
Please read the last line on comment 0, as well as the screenshot, where it shows the feature is not there on 2.2. This is not a regression, unless you want the window just to find out who implemented this feature, if it shows on the pushlog.
QA Whiteboard: [rtl-impact] → [rtl-impact][QAnalyst-Triage?]
Flags: needinfo?(jmercado)
Keywords: regressionwindow-wanted
QA Whiteboard: [rtl-impact][QAnalyst-Triage?] → [rtl-impact][QAnalyst-Triage+]
Flags: needinfo?(jmercado)
Dale, can you take this?
Flags: needinfo?(dale)
(Assignee)

Comment 3

3 years ago
taking a look at this now
Flags: needinfo?(dale)
(Assignee)

Updated

3 years ago
Assignee: nobody → dale
(Assignee)

Comment 4

3 years ago
Hey Ted, do you know how to fix this? happy doing the patch but dont know what the approach is for these cases, Cheers
Flags: needinfo?(tclancy)
(Assignee)

Comment 5

3 years ago
Created attachment 8624102 [details] [review]
https://github.com/mozilla-b2g/gaia/pull/30648
Attachment #8624102 - Flags: review?(crdlc)
Attachment #8624102 - Flags: feedback?(sfoster)
Comment on attachment 8624102 [details] [review]
https://github.com/mozilla-b2g/gaia/pull/30648

That should work - if that element only gets a URL as textContent, even dir="auto" should work. Its when the URL is combined with other text in an element that the bi-directional headaches with URLs kick in.
Attachment #8624102 - Flags: feedback?(sfoster) → feedback+
(Assignee)

Comment 7

3 years ago
Comment on attachment 8624102 [details] [review]
https://github.com/mozilla-b2g/gaia/pull/30648

Hey Chris, not sure if Christian is around so can you review?
Attachment #8624102 - Flags: review?(chrislord.net)
(Assignee)

Comment 9

3 years ago
Cheers, merged in https://github.com/mozilla-b2g/gaia/commit/4fed109ed58568ea727707d2cdd525281a3f9a78
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Created attachment 8625400 [details]
Verify_Pass_Flame3.0.png

This Problem is verified as "Pass" on latest build of Flame3.0 and Nexus5 3.0 by the STR in comment 0.
Actual result: The long LTR URL is truncated at right side now.
See attachment: Verify_Pass_Flame3.0.png
Rate: 0/5

Device information:
Flame 3.0 (pass)
Build ID               20150622160206
Gaia Revision          311c4e59936a407e64509f54fecb440d8a78e3c8
Gaia Date              2015-06-20 20:21:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/be81b8d6fae9
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150622.193834
Firmware Date          Mon Jun 22 19:38:45 EDT 2015
Bootloader             L1TC000118D0

Nexus5 3.0 (pass)
Build ID               20150622010206
Gaia Revision          d8bac9577a537b5e6bafc3f7ed088af5ea60c99e
Gaia Date              2015-06-19 13:21:50
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/a38c23ccca0a
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150622.043152
Firmware Date          Mon Jun 22 04:32:09 EDT 2015
Bootloader             HHZ12f
Flags: needinfo?(tclancy)
Status: RESOLVED → VERIFIED
QA Whiteboard: [rtl-impact][QAnalyst-Triage+] → [rtl-impact][QAnalyst-Triage+][MGSEI-Triage+]
status-b2g-master: affected → verified
status-b2g-v2.5: --- → verified
Target Milestone: --- → FxOS-S1 (26Jun)
status-b2g-v2.5: verified → ---
You need to log in before you can comment on or make changes to this bug.